#
# spec file for package kdnssd
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname zeroconf-ioslave
Name:           kdnssd
Version:        16.12.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.12.1 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Zeroconf Support for KDE
License:        GPL-2.0+
Group:          Productivity/Networking/System
Source0:        %{rname}-%{version}.tar.xz
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{kde4_runtime_requires}

%description
This package contains the Zeroconf support for KDE.

%prep
%setup -q -n %{rname}-%{version}

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  make

%install
  cd build
make %{?_smp_mflags} DESTDIR=%{buildroot} install
  cd ..
  %kde_post_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_modulesdir}/kded_dnssdwatcher.so
%{_kde4_modulesdir}/kio_zeroconf.so
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%{_kde4_appsdir}/remoteview/
%{_kde4_servicesdir}/zeroconf.protocol
%{_kde4_servicesdir}/kded/dnssdwatcher.desktop

%changelog
